Update a specific location
curl --request PUT \
--url https://api.fabric.inc/v3/locations/{locationNumber} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
"{\"name\":\"Store 403\",\"number\":403\"}"
'import requests
url = "https://api.fabric.inc/v3/locations/{locationNumber}"
payload = "{\"name\":\"Store 403\",\"number\":403\"}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify('{"name":"Store 403","number":403"}')
};
fetch('https://api.fabric.inc/v3/locations/{locationNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/locations/{locationNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode('{"name":"Store 403","number":403"}'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/locations/{locationNumber}"
payload := strings.NewReader("\"{\\\"name\\\":\\\"Store 403\\\",\\\"number\\\":403\\\"}\"")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fabric.inc/v3/locations/{locationNumber}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"{\\\"name\\\":\\\"Store 403\\\",\\\"number\\\":403\\\"}\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/locations/{locationNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"{\\\"name\\\":\\\"Store 403\\\",\\\"number\\\":403\\\"}\""
response = http.request(request)
puts response.read_body{
"locationNumber": 23,
"name": "Seattle Store",
"locationId": "9372919a8219e8",
"isActive": true,
"address": {
"region": "WA",
"addressLine1": 123,
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"city": "Seattle",
"countryCode": "US",
"postalCode": 98121,
"type": "Home",
"contacts": [
{
"type": "OFFICE",
"email": "abc@mail.com",
"phone": [
{
"number": "0281923712",
"type": "MOBILE"
}
],
"name": {
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake"
}
}
]
},
"type": "DC",
"capacity": {
"maxAllocations": 30,
"currentAllocations": 5,
"infiniteAllocation": true,
"allocationPercentage": 20,
"isCapacityFull": true
},
"services": {
"brand": "WHBM",
"channel": "Frontline"
},
"zones": [
"<string>"
],
"createdAt": "2022-05-25T07:58:30.996Z",
"updatedAt": "2022-05-25T07:58:30.996Z",
"operatingHours": [
{
"day": "SUNDAY",
"hours": [
{
"open": 10,
"close": 20,
"type": "PICK_UP"
}
]
}
],
"coordinates": {
"type": "Point",
"coordinates": [
-122.3493,
47.6205
]
},
"attributes": {
"isReturns": "true"
},
"supportedCarriers": [
{
"carrier": "FedEx",
"serviceLevels": [
{
"name": "FedEx",
"shippingMethod": "FedEx"
}
]
}
],
"activeFulfillmentMethods": {
"ShipToHome": "true"
},
"transfer": {
"isAutoReceiving": true,
"autoStockWindow": "PT10M"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}{
"message": "Location with locationNumber 20 not found"
}{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}Locations
Update a specific location
Update details of a specific location by location number.
PUT
/
locations
/
{locationNumber}
Update a specific location
curl --request PUT \
--url https://api.fabric.inc/v3/locations/{locationNumber} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
"{\"name\":\"Store 403\",\"number\":403\"}"
'import requests
url = "https://api.fabric.inc/v3/locations/{locationNumber}"
payload = "{\"name\":\"Store 403\",\"number\":403\"}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify('{"name":"Store 403","number":403"}')
};
fetch('https://api.fabric.inc/v3/locations/{locationNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/locations/{locationNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode('{"name":"Store 403","number":403"}'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/locations/{locationNumber}"
payload := strings.NewReader("\"{\\\"name\\\":\\\"Store 403\\\",\\\"number\\\":403\\\"}\"")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fabric.inc/v3/locations/{locationNumber}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"{\\\"name\\\":\\\"Store 403\\\",\\\"number\\\":403\\\"}\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/locations/{locationNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"{\\\"name\\\":\\\"Store 403\\\",\\\"number\\\":403\\\"}\""
response = http.request(request)
puts response.read_body{
"locationNumber": 23,
"name": "Seattle Store",
"locationId": "9372919a8219e8",
"isActive": true,
"address": {
"region": "WA",
"addressLine1": 123,
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"city": "Seattle",
"countryCode": "US",
"postalCode": 98121,
"type": "Home",
"contacts": [
{
"type": "OFFICE",
"email": "abc@mail.com",
"phone": [
{
"number": "0281923712",
"type": "MOBILE"
}
],
"name": {
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake"
}
}
]
},
"type": "DC",
"capacity": {
"maxAllocations": 30,
"currentAllocations": 5,
"infiniteAllocation": true,
"allocationPercentage": 20,
"isCapacityFull": true
},
"services": {
"brand": "WHBM",
"channel": "Frontline"
},
"zones": [
"<string>"
],
"createdAt": "2022-05-25T07:58:30.996Z",
"updatedAt": "2022-05-25T07:58:30.996Z",
"operatingHours": [
{
"day": "SUNDAY",
"hours": [
{
"open": 10,
"close": 20,
"type": "PICK_UP"
}
]
}
],
"coordinates": {
"type": "Point",
"coordinates": [
-122.3493,
47.6205
]
},
"attributes": {
"isReturns": "true"
},
"supportedCarriers": [
{
"carrier": "FedEx",
"serviceLevels": [
{
"name": "FedEx",
"shippingMethod": "FedEx"
}
]
}
],
"activeFulfillmentMethods": {
"ShipToHome": "true"
},
"transfer": {
"isAutoReceiving": true,
"autoStockWindow": "PT10M"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}{
"message": "Location with locationNumber 20 not found"
}{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Path Parameters
Body
application/json
Request payload used to update an existing location. Includes changes to fulfillment status, attributes, and operational configuration.
Response
Location updated
Response object containing details about a specific location, including its configuration, operational status, capacity, and service attributes.
Was this page helpful?
